Loading...
Searching...
No Matches
Catch::MessageBuilder Struct Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::MessageBuilder:
[legend]
Collaboration diagram for Catch::MessageBuilder:
[legend]

## Public Member Functions

| MessageBuilder (StringRef macroName, SourceLineInfo const &lineInfo, ResultWas::OfType type)
template<typename T>
MessageBuilder && | operator<< (T const &value) &&
Public Member Functions inherited from Catch::MessageStream
template<typename T>
MessageStream & | operator<< (T const &value)

## Public Attributes

MessageInfo | m_info
Public Attributes inherited from Catch::MessageStream
ReusableStringStream | m_stream

## Constructor & Destructor Documentation

## MessageBuilder()

Catch::MessageBuilder::MessageBuilder | ( | StringRef | macroName,
|  | SourceLineInfo const & | lineInfo,
|  | ResultWas::OfType | type )

inline

Here is the caller graph for this function:

## Member Function Documentation

## operator<<()

template<typename T>

MessageBuilder && Catch::MessageBuilder::operator<< | ( | T const & | value | ) | &&

inline

Here is the call graph for this function:

## Member Data Documentation

## m_info

MessageInfo Catch::MessageBuilder::m_info

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp